Package org.apache.calcite.avatica.remote

# Class Handler.HandlerResponse<T>

java.lang.Object
org.apache.calcite.avatica.remote.Handler.HandlerResponse<T>

Type Parameters:
  `T` - the response type

Enclosing interface:
  Handler<T>

public static class Handler.HandlerResponse<T> extends Object
Struct that encapsulates the context of the result of a request to Avatica.

## Constructor Summary

Constructors
Constructor
Description
`HandlerResponse(T response, int statusCode)`

## Method Summary

Modifier and Type
Method
Description
`T`
`getResponse()`
`int`
`getStatusCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HandlerResponse

public HandlerResponse(T response, int statusCode)

## Method Details

### getResponse

public T getResponse()

### getStatusCode

public int getStatusCode()

### toString

public String toString()

Overrides:
  `toString` in class `Object`